
package com.tmerclub.cloud.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

/**
 * 打印机DTO
 *
 * @author TRACK
 * @date 2023-08-23 14:48:23
 */
public class PrinterDTO {
    private static final long serialVersionUID = 1L;

    @Schema(description = "打印机id")
    private Long printerId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "打印机名称")
    @NotNull(message = "打印机名称不能为空")
    private String printerName;

    @Schema(description = "设备码")
    @NotNull(message = "设备码不能为空")
    private String siid;

    @Schema(description = "打印机备注")
    private String printerRemark;

    @Schema(description = "是否默认 0否1是")
    private Integer isDefault;

    public Long getPrinterId() {
        return printerId;
    }

    public void setPrinterId(Long printerId) {
        this.printerId = printerId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getPrinterName() {
        return printerName;
    }

    public void setPrinterName(String printerName) {
        this.printerName = printerName;
    }

    public String getSiid() {
        return siid;
    }

    public void setSiid(String siid) {
        this.siid = siid;
    }

    public String getPrinterRemark() {
        return printerRemark;
    }

    public void setPrinterRemark(String printerRemark) {
        this.printerRemark = printerRemark;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    @Override
    public String toString() {
        return "PrinterDTO{" +
                "printerId=" + printerId +
                ",shopId=" + shopId +
                ",supplierId=" + supplierId +
                ",printerName=" + printerName +
                ",siid=" + siid +
                ",printerRemark=" + printerRemark +
                ",isDefault=" + isDefault +
                '}';
    }
}
